Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.print.attribute.standard
Class JobKOctetsSupported

    java.lang.Object
      javax.print.attribute.SetOfIntegerSyntax
          javax.print.attribute.standard.JobKOctetsSupported

All Implemented Interfaces:
  Serializable, Cloneable, Attribute, SupportedValuesAttribute

    public final class JobKOctetsSupported

extends SetOfIntegerSyntax
implements SupportedValuesAttribute

Class JobKOctetsSupported is a printing attribute class, a set of integers, that gives the supported values for a `JobKOctets` attribute. It is restricted to a single contiguous range of integers; multiple non-overlapping ranges are not allowed. This gives the lower and upper bounds of the total sizes of print jobs in units of K octets (1024 octets) that the printer will accept.

IPP Compatibility: The JobKOctetsSupported attribute's canonical array form gives the lower and upper bound for the range of values to be included in an IPP "job-k-octets-supported" attribute. See class `SetOfIntegerSyntax` for an explanation of canonical array form. The category name returned by `getName()` gives the IPP attribute name.

See Also:
  Serialized Form

Constructor Summary
`JobKOctetsSupported(int lowerBound, int upperBound)` Construct a new job K octets supported attribute containing a single range of integers.

Method Summary
`boolean` | `equals(Object object)` Returns whether this job K octets supported attribute is equivalent to the passed in object.
`Class<? extends Attribute>` | `getCategory()` Get the printing attribute class which is to be used as the "category" for this printing attribute value.
`String` | `getName()` Get the name of the category of which this attribute value is an instance.

Methods inherited from class javax.print.attribute.SetOfIntegerSyntax
`contains, contains, getMembers, hashCode, next, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JobKOctetsSupported

    public JobKOctetsSupported(int lowerBound,
                               int upperBound)

  Construct a new job K octets supported attribute containing a single range of integers. That is, only those values of JobKOctets in the one range are supported.

  Parameters:
    `lowerBound` - Lower bound of the range.
    `upperBound` - Upper bound of the range.
  Throws:
    `IllegalArgumentException` - (Unchecked exception) Thrown if a null range is specified or if a non-null range is specified with `lowerBound` less than 0.

Method Detail

### equals

    public boolean equals(Object object)

  Returns whether this job K octets supported attribute is equivalent to the passed in object. To be equivalent, all of the following conditions must be true:
  1. `object` is not null.
  2. `object` is an instance of class JobKOctetsSupported.
  3. This job K octets supported attribute's members and `object`'s members are the same.

  Overrides:
    `equals` in class `SetOfIntegerSyntax`
  Parameters:
    `object` - Object to compare to.
  Returns:
    True if `object` is equivalent to this job K octets supported attribute, false otherwise.
  See Also:
    `Object.hashCode()`, `Hashtable`

### getCategory

    public final Class<? extends Attribute> getCategory()

  Get the printing attribute class which is to be used as the "category" for this printing attribute value.

  For class JobKOctetsSupported, the category is class JobKOctetsSupported itself.

  Specified by:
    `getCategory` in interface `Attribute`
  Returns:
    Printing attribute class (category), an instance of class `java.lang.Class`.

### getName

    public final String getName()

  Get the name of the category of which this attribute value is an instance.

  For class JobKOctetsSupported, the category name is `"job-k-octets-supported"`.

  Specified by:
    `getName` in interface `Attribute`
  Returns:
    Attribute category name.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.